
import http from '@/utils/request'

// vanna 问答
export function getAsk (data, config) {
  return http.post('/vanna/v0/ask_agent', data, config)
}

// 提交到正确训练集
export function submitTrainingCorrect (data) {
  return http.post('/vanna/v0/citu_train_question_sql', data)
}

// 提交到错误训练集
export function submitTrainingError (data) {
  return http.post('/vanna/v0/training_error_question_sql', data)
}

// 查询反馈记录（支持分页、筛选、排序）
export function getFeedbackList (data) {
  return http.post('/vanna/v0/qa_feedback/query', data)
}

// 删除指定反馈记录
export function deleteFeedback (feedbackId) {
  return http.del(`/vanna/v0/qa_feedback/delete/${feedbackId}`)
}

// 修改指定反馈记录
export function updateFeedback (feedbackId, data) {
  return http.put(`/vanna/v0/qa_feedback/update/${feedbackId}`, data)
}

// 批量添加到训练集
export function addFeedbackToTraining (data) {
  return http.post('/vanna/v0/qa_feedback/add_to_training', data)
}

// 创建新的反馈记录
export function addFeedback (data) {
  return http.post('/vanna/v0/qa_feedback/add', data)
}

// 获取反馈统计信息
export function getFeedbackStats (data) {
  return http.get('/vanna/v0/qa_feedback/stats', data)
}

// 获取指定用户user_id的最近N次的会话信息
export function getConversations (data) {
  return http.get('/vanna/v0/user/guest/conversations', data)
}

// 获取指定用户user_id的最近N次的会话信息
export function getConversationsById (id) {
  return http.get(`/vanna/v0/conversation/${id}/messages`)
}

// 统计Redis中的全部的对话信息
export function getConversationsStatus () {
  return http.get('/vanna/v0/conversation_stats')
}

// 手工删除Redis中全部对话缓存
export function clearConversation () {
  return http.post('/vanna/v0/conversation_cleanup')
}

// 统计Redis中question embedding缓存
export function getEmbeddingStats () {
  return http.get('/vanna/v0/embedding_cache_stats')
}

// 清理Redis中的question embedding 缓存
export function clearEmbeddingCache () {
  return http.post('/vanna/v0/embedding_cache_cleanup')
}
